Summary:	Desktop manager for the Xfce Desktop Environment
Summary(pl.UTF-8):	Zarządca pulpitu dla środowiska Xfce
Name:		xfdesktop
Version:	4.12.1
Release:	1
License:	GPL v2+
Group:		X11/Applications
Source0:	http://archive.xfce.org/src/xfce/xfdesktop/4.12/%{name}-%{version}.tar.bz2
# Source0-md5:	60173a11e358909e70b7a245f8fb1417
URL:		http://www.xfce.org/projects/xfdesktop
BuildRequires:	Thunar-devel >= 1.6.6
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake >= 1:1.8
BuildRequires:	dbus-glib-devel >= 0.84
BuildRequires:	exo-devel >= 0.8.0
BuildRequires:	garcon-devel >= 0.4.0
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.30.0
BuildRequires:	gtk+2-devel >= 2:2.24.0
BuildRequires:	intltool >= 0.35.0
BuildRequires:	libnotify-devel >= 0.4.0
BuildRequires:	libtool >= 2:2.2.6
BuildRequires:	libwnck2-devel >= 2.30.0
BuildRequires:	libxfce4ui-devel >= 4.12.0
BuildRequires:	libxfce4util-devel >= 4.12.0
BuildRequires:	pkgconfig >= 1:0.9.0
BuildRequires:	rpmbuild(macros) >= 1.601
BuildRequires:	xfce4-dev-tools >= 4.12.0
BuildRequires:	xfconf-devel >= 4.12.0
BuildRequires:	xorg-lib-libSM-devel
BuildRequires:	xorg-lib-libX11-devel
Requires:	Thunar-libs >= 1.6.6
Requires:	dbus-glib >= 0.84
Requires:	exo >= 0.8.0
Requires:	garcon >= 0.4.0
Requires:	glib2 >= 1:2.30.0
Requires:	gtk+2 >= 2:2.24.0
Requires:	gtk-update-icon-cache
Requires:	hicolor-icon-theme
Requires:	libwnck2 >= 2.30.0
Requires:	libxfce4ui >= 4.12.0
Requires:	libxfce4util >= 4.12.0
Requires:	xfce4-dirs >= 4.6
Requires:	xfconf >= 4.12.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xfdesktop contain a desktop manager for the Xfce Desktop Environment.

%description -l pl.UTF-8
xfdesktop zawiera zarządcę pulpitu dla środowiska Xfce.

%prep
%setup -q

%build
%configure \
	--disable-silent-rules \
	--enable-desktop-icons \
	--enable-desktop-menu \
	--enable-file-icons \
	--enable-thunarx

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# unify dir name (verify first that target doesn't exist)
[ ! -e $RPM_BUILD_ROOT%{_datadir}/locale/fa ] || exit 1
%{__mv} $RPM_BUILD_ROOT%{_datadir}/locale/{fa_IR,fa}
# just a copy of ur (.po files differ only by trailing junk)
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/ur_PK

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) %{_bindir}/xfdesktop
%attr(755,root,root) %{_bindir}/xfdesktop-settings
%{_mandir}/man1/xfdesktop.1*
%{_desktopdir}/xfce-backdrop-settings.desktop
%{_pixmapsdir}/xfce4_xicon*.png
%{_pixmapsdir}/xfdesktop
%{_iconsdir}/hicolor/*/apps/xfce4-backdrop.*
%{_iconsdir}/hicolor/*/apps/xfce4-menueditor.*
%dir %{_datadir}/backgrounds/xfce
%{_datadir}/backgrounds/xfce/xfce-blue.jpg
%{_datadir}/backgrounds/xfce/xfce-teal.jpg
%changelog
* Sun Mar 29 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xfdesktop.git;a=log;h=master

* Sun Mar 29 2015 Jan Rękorajski <baggins@pld-linux.org> 91a7f8c
- up to 4.12.1

* Mon Mar 23 2015 Elan Ruusamäe <glen@delfi.ee> c619000
- x32 rebuild
- release 2 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 3117fc0
- updated gettext BR

* Sat Nov 15 2014 Jan Rękorajski <baggins@pld-linux.org> bc88412
- up to 4.11.8

* Sun Aug 24 2014 Jakub Bogusz <qboosh@pld-linux.org> 5499449
- package fa locale under supported name
- updated dependencies

* Fri Aug 15 2014 Jan Rękorajski <baggins@pld-linux.org> f8b155e
- rel 2
- remove non existing locale

* Fri Aug 15 2014 Jan Rękorajski <baggins@pld-linux.org> d52d8cc
- up to 4.11.7

* Sat Apr 06 2013 Elan Ruusamäe <glen@delfi.ee> f7d21e7
- up to 4.10.2 (bugfixes)

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> dd7bcd4
- rel 2
- package missing dir

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> 33b7627
- updated files

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> a4e13bc
- updated files

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> 16466a4
- 4.10.0

* Wed Sep 28 2011 Jan Rękorajski <baggins@pld-linux.org> 7698128
- 4.8.3

* Sat Apr 23 2011 Jan Rękorajski <baggins@pld-linux.org> 36b58c2
- added new help langs

* Sat Apr 23 2011 Jan Rękorajski <baggins@pld-linux.org> f309894
- 4.8.2

* Wed Apr 13 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 974b680
- release 2

* Wed Feb 16 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 2fc9a34
- obsolete

* Wed Feb 16 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 0014dac
- merged from DEVEL

* Fri Feb 04 2011 Artur Frysiak <artur@frysiak.net> a4ec3d9
- Requires(post,postun): gtk-update-icon-cache

* Sun Nov 14 2010 Jan Rękorajski <baggins@pld-linux.org> 3599560
- no ur_PK locale

